Bug 207228

Summary: Web Inspector: the height of the undocked title area shouldn't change when zoomed
Product: WebKit Reporter: Devin Rousso <hi>
Component: Web InspectorAssignee: Devin Rousso <hi>
Status: RESOLVED MOVED    
Severity: Normal CC: cgarcia, commit-queue, hi, inspector-bugzilla-changes, jonlee, timothy, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Local Build   
Hardware: All   
OS: All   
See Also: https://bugs.webkit.org/show_bug.cgi?id=207422
Bug Depends on: 204627    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch none

Description Devin Rousso 2020-02-04 14:25:56 PST
# STEPS TO REPRODUCE:
1. inspect any page
2. detach web inspector
3. zoom in/out (⌘+ or ⌘-)
 => the height of the title area increases
Comment 1 Devin Rousso 2020-02-04 14:28:36 PST
Created attachment 389709 [details]
Patch
Comment 2 Timothy Hatcher 2020-02-05 17:30:11 PST
Comment on attachment 389709 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=389709&action=review

> Source/WebInspectorUI/UserInterface/Base/Main.js:548
> +    }
> +    WI.settings.zoomFactor.addEventListener(WI.Setting.Event.Changed, updateZoomFactorCSSVariable);

Blank line between. Or move the function inline as a arrow function in addEventListener.
Comment 3 Devin Rousso 2020-02-05 20:10:24 PST
Created attachment 389933 [details]
Patch
Comment 4 WebKit Commit Bot 2020-02-05 21:06:39 PST
The commit-queue encountered the following flaky tests while processing attachment 389933 [details]:

editing/spelling/spellcheck-async-remove-frame.html bug 158401 (authors: morrita@google.com, rniwa@webkit.org, and tony@chromium.org)
imported/w3c/web-platform-tests/IndexedDB/fire-success-event-exception.html bug 206554 (authors: shvaikalesh@gmail.com and youennf@gmail.com)
The commit-queue is continuing to process your patch.
Comment 5 WebKit Commit Bot 2020-02-05 21:07:17 PST
Comment on attachment 389933 [details]
Patch

Clearing flags on attachment: 389933

Committed r255901: <https://trac.webkit.org/changeset/255901>
Comment 6 WebKit Commit Bot 2020-02-05 21:07:19 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2020-02-05 21:08:14 PST
<rdar://problem/59213469>
Comment 8 Jon Lee 2020-02-07 20:23:27 PST
Reopening. This was reverted by https://trac.webkit.org/changeset/256086/webkit in b207422.
Comment 9 Devin Rousso 2020-03-02 16:54:45 PST
This will be resolved by <https://webkit.org/b/207317>.